[arch-commits] Commit in (23 files)

Ionut Biru ibiru at archlinux.org
Fri Nov 27 13:17:50 EST 2009


    Date: Friday, November 27, 2009 @ 13:17:49
  Author: ibiru
Revision: 59774

initial commit

Added:
  networkmanager-openconnect/
  networkmanager-openconnect/repos/
  networkmanager-openconnect/trunk/
  networkmanager-openconnect/trunk/PKGBUILD
  networkmanager-openvpn/
  networkmanager-openvpn/repos/
  networkmanager-openvpn/trunk/
  networkmanager-openvpn/trunk/PKGBUILD
  networkmanager-openvpn/trunk/networkmanager-openvpn.install
  networkmanager-pptp/
  networkmanager-pptp/repos/
  networkmanager-pptp/trunk/
  networkmanager-pptp/trunk/PKGBUILD
  networkmanager-pptp/trunk/networkmanager-pptp.install
  networkmanager-vpnc/
  networkmanager-vpnc/repos/
  networkmanager-vpnc/trunk/
  networkmanager-vpnc/trunk/PKGBUILD
  networkmanager-vpnc/trunk/networkmanager-vpnc.install
  openconnect/
  openconnect/repos/
  openconnect/trunk/
  openconnect/trunk/PKGBUILD

-------------------------------------------------------------+
 networkmanager-openconnect/trunk/PKGBUILD                   |   25 +++++++++
 networkmanager-openvpn/trunk/PKGBUILD                       |   26 ++++++++++
 networkmanager-openvpn/trunk/networkmanager-openvpn.install |   11 ++++
 networkmanager-pptp/trunk/PKGBUILD                          |   26 ++++++++++
 networkmanager-pptp/trunk/networkmanager-pptp.install       |   11 ++++
 networkmanager-vpnc/trunk/PKGBUILD                          |   26 ++++++++++
 networkmanager-vpnc/trunk/networkmanager-vpnc.install       |   11 ++++
 openconnect/trunk/PKGBUILD                                  |   24 +++++++++
 8 files changed, 160 insertions(+)

Added: networkmanager-openconnect/trunk/PKGBUILD
===================================================================
--- networkmanager-openconnect/trunk/PKGBUILD	                        (rev 0)
+++ networkmanager-openconnect/trunk/PKGBUILD	2009-11-27 18:17:49 UTC (rev 59774)
@@ -0,0 +1,25 @@
+# $Id$
+# Maintainer: Ionut Biru <ionut at archlinux.ro>
+
+pkgname=networkmanager-openconnect
+pkgver=0.7.2
+pkgrel=1
+pkgdesc="NetworkManager VPN integration for openconnect"
+arch=('i686' 'x86_64')
+license=('GPL')
+url="http://www.gnome.org/projects/NetworkManager/"
+makedepends=('intltool')
+depends=('network-manager-applet>=0.7.2' 'openconnect')
+options=('!libtool')
+source=(http://ftp.gnome.org/pub/GNOME/sources/NetworkManager-openconnect/0.7/NetworkManager-openconnect-${pkgver}.tar.bz2)
+sha256sums=('04c0040ffce378adb5cfd603ba12e4848ed2b4267113d449719b943ed6d2fe66')
+
+build() {
+  cd "${srcdir}/NetworkManager-openconnect-${pkgver}"
+  ./configure --prefix=/usr \
+  	--sysconfdir=/etc \
+	--libexec=/usr/lib/networkmanager \
+	--disable-static || return 1
+  make || return 1
+  make DESTDIR="${pkgdir}" install || return 1
+}


Property changes on: networkmanager-openconnect/trunk/PKGBUILD
___________________________________________________________________
Added: svn:keywords
   + Id

Added: networkmanager-openvpn/trunk/PKGBUILD
===================================================================
--- networkmanager-openvpn/trunk/PKGBUILD	                        (rev 0)
+++ networkmanager-openvpn/trunk/PKGBUILD	2009-11-27 18:17:49 UTC (rev 59774)
@@ -0,0 +1,26 @@
+# $Id$
+# Maintainer: Ionut Biru <ionut at archlinux.ro>
+
+pkgname=networkmanager-openvpn
+pkgver=0.7.2
+pkgrel=1
+pkgdesc="NetworkManager VPN plugin for OpenVPN"
+arch=('i686' 'x86_64')
+license=('GPL')
+url="http://www.gnome.org/projects/NetworkManager/"
+makedepends=('intltool')
+depends=('network-manager-applet>=0.7.2' 'openvpn')
+install=networkmanager-openvpn.install
+options=('!libtool')
+source=(http://ftp.gnome.org/pub/GNOME/sources/NetworkManager-openvpn/0.7/NetworkManager-openvpn-${pkgver}.tar.bz2)
+sha256sums=('cce2deb114f55559f6c2f2fd5ddb3b12a4812549a5354ea92c65c42d8e67a47f')
+
+build() {
+  cd "${srcdir}/NetworkManager-openvpn-${pkgver}"
+  ./configure --prefix=/usr \
+  	--sysconfdir=/etc \
+	--libexec=/usr/lib/networkmanager \
+	--disable-static || return 1
+  make || return 1
+  make DESTDIR="${pkgdir}" install || return 1
+}


Property changes on: networkmanager-openvpn/trunk/PKGBUILD
___________________________________________________________________
Added: svn:keywords
   + Id

Added: networkmanager-openvpn/trunk/networkmanager-openvpn.install
===================================================================
--- networkmanager-openvpn/trunk/networkmanager-openvpn.install	                        (rev 0)
+++ networkmanager-openvpn/trunk/networkmanager-openvpn.install	2009-11-27 18:17:49 UTC (rev 59774)
@@ -0,0 +1,11 @@
+post_install() {
+  gtk-update-icon-cache -f -q -t /usr/share/icons/hicolor
+}
+
+post_upgrade() {
+  post_install $1
+}
+
+post_remove() {
+  post_install $1
+}

Added: networkmanager-pptp/trunk/PKGBUILD
===================================================================
--- networkmanager-pptp/trunk/PKGBUILD	                        (rev 0)
+++ networkmanager-pptp/trunk/PKGBUILD	2009-11-27 18:17:49 UTC (rev 59774)
@@ -0,0 +1,26 @@
+# $Id$
+# Maintainer: Ionut Biru <ionut at archlinux.ro>
+
+pkgname=networkmanager-pptp
+pkgver=0.7.2
+pkgrel=1
+pkgdesc="NetworkManager VPN plugin for pptp "
+arch=('i686' 'x86_64')
+license=('GPL')
+url="http://www.gnome.org/projects/NetworkManager/"
+makedepends=('intltool')
+depends=('network-manager-applet>=0.7.2' 'pptpclient')
+options=('!libtool')
+install=networkmanager-pptp.install
+source=(http://ftp.gnome.org/pub/GNOME/sources/NetworkManager-pptp/0.7/NetworkManager-pptp-${pkgver}.tar.bz2)
+sha256sums=('de68d4524e3896393405fe954d4b69e0ea546da90410e8c74c95113ac7c4ba2a')
+
+build() {
+  cd "${srcdir}/NetworkManager-pptp-${pkgver}"
+  ./configure --prefix=/usr \
+  	--sysconfdir=/etc \
+	--libexec=/usr/lib/networkmanager \
+	--disable-static || return 1
+  make || return 1
+  make DESTDIR="${pkgdir}" install || return 1
+}


Property changes on: networkmanager-pptp/trunk/PKGBUILD
___________________________________________________________________
Added: svn:keywords
   + Id

Added: networkmanager-pptp/trunk/networkmanager-pptp.install
===================================================================
--- networkmanager-pptp/trunk/networkmanager-pptp.install	                        (rev 0)
+++ networkmanager-pptp/trunk/networkmanager-pptp.install	2009-11-27 18:17:49 UTC (rev 59774)
@@ -0,0 +1,11 @@
+post_install() {
+  gtk-update-icon-cache -f -q -t /usr/share/icons/hicolor
+}
+
+post_upgrade() {
+  post_install $1
+}
+
+post_remove() {
+  post_install $1
+}

Added: networkmanager-vpnc/trunk/PKGBUILD
===================================================================
--- networkmanager-vpnc/trunk/PKGBUILD	                        (rev 0)
+++ networkmanager-vpnc/trunk/PKGBUILD	2009-11-27 18:17:49 UTC (rev 59774)
@@ -0,0 +1,26 @@
+# $Id$
+# Maintainer: Ionut Biru <ionut at archlinux.ro>
+
+pkgname=networkmanager-vpnc
+pkgver=0.7.2
+pkgrel=1
+pkgdesc="NetworkManager VPN plugin for vpnc"
+arch=('i686' 'x86_64')
+license=('GPL')
+url="http://www.gnome.org/projects/NetworkManager/"
+makedepends=('intltool')
+depends=('network-manager-applet>=0.7.2' 'vpnc')
+options=('!libtool')
+install=networkmanager-vpnc.install
+source=(http://ftp.gnome.org/pub/GNOME/sources/NetworkManager-vpnc/0.7/NetworkManager-vpnc-${pkgver}.tar.bz2)
+sha256sums=('7c6a1f8cbb9364ced8172bcbc6b006ff00f677fbcab857cc70c9a53764a21487')
+
+build() {
+  cd "${srcdir}/NetworkManager-vpnc-${pkgver}"
+  ./configure --prefix=/usr \
+  	--sysconfdir=/etc \
+	--libexec=/usr/lib/networkmanager \
+	--disable-static || return 1
+  make || return 1
+  make DESTDIR="${pkgdir}" install || return 1
+}


Property changes on: networkmanager-vpnc/trunk/PKGBUILD
___________________________________________________________________
Added: svn:keywords
   + Id

Added: networkmanager-vpnc/trunk/networkmanager-vpnc.install
===================================================================
--- networkmanager-vpnc/trunk/networkmanager-vpnc.install	                        (rev 0)
+++ networkmanager-vpnc/trunk/networkmanager-vpnc.install	2009-11-27 18:17:49 UTC (rev 59774)
@@ -0,0 +1,11 @@
+post_install() {
+  gtk-update-icon-cache -f -q -t /usr/share/icons/hicolor
+}
+
+post_upgrade() {
+  post_install $1
+}
+
+post_remove() {
+  post_install $1
+}

Added: openconnect/trunk/PKGBUILD
===================================================================
--- openconnect/trunk/PKGBUILD	                        (rev 0)
+++ openconnect/trunk/PKGBUILD	2009-11-27 18:17:49 UTC (rev 59774)
@@ -0,0 +1,24 @@
+# $Id$
+# Maintainer: Ionut Biru <ionut at archlinux.ro>
+
+pkgname=openconnect
+pkgver=2.11
+pkgrel=1
+pkgdesc="Open client for Cisco AnyConnect VPN"
+arch=('i686' 'x86_64')
+license=('GPL')
+url="http://www.infradead.org/openconnect.html"
+depends=('libxml2' 'openssl')
+makedepends=('gconf' 'gtk2')
+options=('!libtool')
+source=(ftp://ftp.infradead.org/pub/${pkgname}/${pkgname}-${pkgver}.tar.gz)
+sha256sums=('56471b06e9f4253cb5fc4e888442f52a1cba1aa4cea784c4094a98efa5fb81ab')
+
+build() {
+  cd "${srcdir}/${pkgname}-${pkgver}"
+  sed -i "s|/usr/libexec|/usr/lib/openconnect|" Makefile || return 1
+  make || return 1
+  make DESTDIR="${pkgdir}" install || return 1
+
+  install  -Dm0644 openconnect.8 "${pkgdir}"/usr/share/man/man8/openconnect.8 || return 1
+}


Property changes on: openconnect/trunk/PKGBUILD
___________________________________________________________________
Added: svn:keywords
   + Id



More information about the arch-commits mailing list